install-upgrade-kernel-gtk

Here you can post links to your contributed packages.
Post Reply
djemos
Salix Warrior
Posts: 1262
Joined: 29. Dec 2009, 13:45
Location: Greece

install-upgrade-kernel-gtk

Post by djemos » 14. Feb 2022, 19:39

install-upgrade-kernel-gtk is a gui tool that make easy to install/upgrade kernel packages and upgrading grub menus boot loader.
It is written in C using glade and gtk2.
It is used for installations of Slackel or Salix only on internal disks.

install-upgrade-kernel-gtk can be used on slackware or slackware based distributions.
translations
Binaries and source are also here

hugok
Posts: 309
Joined: 7. Dec 2011, 22:44
Location: Portugal
Contact:

Re: install-upgrade-kernel-gtk

Post by hugok » 14. Feb 2022, 23:47

Portuguese translation completed
Hugo Carvalho
Portuguese translator

https://github.com/hugok79

djemos
Salix Warrior
Posts: 1262
Joined: 29. Dec 2009, 13:45
Location: Greece

Re: install-upgrade-kernel-gtk

Post by djemos » 15. Feb 2022, 12:41

hugok wrote:
14. Feb 2022, 23:47
Portuguese translation completed
Thank you hugok.

User avatar
mimosa
Salix Warrior
Posts: 3272
Joined: 25. May 2010, 17:02
Contact:

Re: install-upgrade-kernel-gtk

Post by mimosa » 18. Feb 2022, 14:25

Thanks djemos! How does this behave if you're not using Grub, will it install it?

djemos
Salix Warrior
Posts: 1262
Joined: 29. Dec 2009, 13:45
Location: Greece

Re: install-upgrade-kernel-gtk

Post by djemos » 18. Feb 2022, 20:11

mimosa wrote:
18. Feb 2022, 14:25
Thanks djemos! How does this behave if you're not using Grub, will it install it?
It is for systems where grub is already installed.
I can add grub in dep file to install it if it is not installed but user has to run grub-install.
The application install or upgrade the kernel and after run update-grub.

Edit: After latest updates on Slackware current (15.0 is here and current continuous) running the program got messages like "can't connect signal handler " on glade 3.8.6 gtk2 and on glade 3.38.2 gtk3. For anyone will face the same just add to SLKBUILD this line

Code: Select all

export LDFLAGS='-export-dynamic'
and build again.

Post Reply